//
//  PropertyCoalescing.h
//  PropertyAccessors
//
//  Created by Matt Gallagher on 2009/11/14.
//  Copyright 2009 Matt Gallagher. All rights reserved.
//

#import <Cocoa/Cocoa.h>

@interface NSSet (PropertyCoalescing)

- (NSSet *)objectValuesForProperty:(SEL)propertySelector;
- (NSSet *)slowObjectValuesForProperty:(SEL)propertySelector;
- (NSSet *)setByCoalescingSets;
- (NSSet *)slowCoalescedValuesForProperty:(SEL)propertySelector;
- (NSSet *)coalescedValuesForProperty:(SEL)propertySelector;

@end
